Bug 1701180 - [OSP15] failed healthcheck for heat_engine container
Summary: [OSP15] failed healthcheck for heat_engine container
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ga
: 15.0 (Stein)
Assignee: Emilien Macchi
QA Contact: Artem Hrechanychenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-18 10:02 UTC by Artem Hrechanychenko
Modified: 2019-09-26 10:49 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.5.1-0.20190619000409.eff8376.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:21:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1825339 0 None None None 2019-04-18 10:02:56 UTC
OpenStack gerrit 654572 0 None None None 2019-04-22 17:04:19 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:35 UTC

Description Artem Hrechanychenko 2019-04-18 10:02:56 UTC
Description of problem:
[stack@undercloud-0 ~]$ sudo systemctl status tripleo_heat_engine_healthcheck.service
● tripleo_heat_engine_healthcheck.service - heat_engine healthcheck
   Loaded: loaded (/etc/systemd/system/tripleo_heat_engine_healthcheck.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2019-04-18 09:47:00 UTC; 1s ago
  Process: 143444 ExecStart=/usr/bin/podman exec heat_engine /openstack/healthcheck null (code=exited, status=1/FAILURE)
 Main PID: 143444 (code=exited, status=1/FAILURE)

Apr 18 09:47:00 undercloud-0.redhat.local systemd[1]: Starting heat_engine healthcheck...
Apr 18 09:47:00 undercloud-0.redhat.local podman[143444]: There is no heat-engine process with opened RabbitMQ ports (null) running in the container
Apr 18 09:47:00 undercloud-0.redhat.local podman[143444]: exit status 1
Apr 18 09:47:00 undercloud-0.redhat.local systemd[1]: tripleo_heat_engine_healthcheck.service: Main process exited, code=exited, status=1/FAILURE
Apr 18 09:47:00 undercloud-0.redhat.local systemd[1]: tripleo_heat_engine_healthcheck.service: Failed with result 'exit-code'.
Apr 18 09:47:00 undercloud-0.redhat.local systemd[1]: Failed to start heat_engine healthcheck.
(failed reverse-i-search)`шт': ^C
[stack@undercloud-0 ~]$ sudo podman inspect heat_engine |grep health
                "config_data": "{\"environment\": [\"KOLLA_CONFIG_STRATEGY=COPY_ALWAYS\", \"TRIPLEO_CONFIG_HASH=611d4e2069073287e7fcdf09f9ab2758\"], \"healthcheck\": {\"test\": \"/openstack/healthcheck null\"}, \"image\": \"192.168.24.1:8787/rhosp15/openstack-heat-engine:20190411.1\", \"net\": \"host\", \"privileged\": false, \"restart\": \"always\", \"stop_grace_period\": 60, \"volumes\": [\"/etc/hosts:/etc/hosts:ro\", \"/etc/localtime:/etc/localtime:ro\", \"/etc/pki/ca-trust/extracted:/etc/pki/ca-trust/extracted:ro\", \"/etc/pki/ca-trust/source/anchors:/etc/pki/ca-trust/source/anchors:ro\", \"/etc/pki/tls/certs/ca-bundle.crt:/etc/pki/tls/certs/ca-bundle.crt:ro\", \"/etc/pki/tls/certs/ca-bundle.trust.crt:/etc/pki/tls/certs/ca-bundle.trust.crt:ro\", \"/etc/pki/tls/cert.pem:/etc/pki/tls/cert.pem:ro\", \"/dev/log:/dev/log\", \"/etc/ssh/ssh_known_hosts:/etc/ssh/ssh_known_hosts:ro\", \"/etc/puppet:/etc/puppet:ro\", \"/var/log/containers/heat:/var/log/heat:z\", \"/usr/lib/heat:/usr/lib/heat:ro\", \"/var/lib/kolla/config_files/heat_engine.json:/var/lib/kolla/config_files/config.json:ro\", \"/var/lib/config-data/puppet-generated/heat/:/var/lib/kolla/config_files/src:ro\"]}",


Version-Release number of selected component (if applicable):
OSP15 - RHOS_TRUNK-15.0-RHEL-8-20190412.n.0
python3-tripleoclient-heat-installer- 1.4.1-0.20190411190358.0ca816d.el8ost.noarch
python3-tripleo-common-10.6.2-0.20190412150355.0ec6518.el8ost.noarch
python3-tripleoclient-11.4.1-0.20190411190358.0ca816d.el8ost.noarch
openstack-tripleo-heat-templates-10.4.1-0.20190412000410.b934fdd.el8ost.noarch
openstack-heat-engine:20190411.1

How reproducible:
always

Steps to Reproduce:
1.Deploy Undercloud
2.check healtcheck status for heat_engine container
3.

Actual results:
There is no heat-engine process with opened RabbitMQ ports (null) running in the container

Expected results:
rc == 0 and exited  status Passed

Additional info:

Comment 6 Artem Hrechanychenko 2019-06-20 15:38:30 UTC
VERIFIED

[stack@undercloud-0 ~]$ sudo systemctl status tripleo_heat_engine_healthcheck.service
● tripleo_heat_engine_healthcheck.service - heat_engine healthcheck
   Loaded: loaded (/etc/systemd/system/tripleo_heat_engine_healthcheck.service; disabled; vendor preset: disabled)
   Active: inactive (dead) since Thu 2019-06-20 11:37:03 EDT; 45s ago
  Process: 382179 ExecStart=/usr/bin/podman exec heat_engine /openstack/healthcheck 5672 (code=exited, status=0/SUCCESS)
 Main PID: 382179 (code=exited, status=0/SUCCESS)

Jun 20 11:37:03 undercloud-0.redhat.local systemd[1]: Starting heat_engine healthcheck...
Jun 20 11:37:03 undercloud-0.redhat.local systemd[1]: Started heat_engine healthcheck.


openstack-tripleo-heat-templates-10.5.1-0.20190614201227.9fee07b.el8ost.noarch

Comment 8 errata-xmlrpc 2019-09-21 11:21:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.